Bug 614165 - The alert operation like executing script is giving null pointer argument exception
The alert operation like executing script is giving null pointer argument exc...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Alerts (Show other bugs)
3.0.0
x86_64 Linux
urgent Severity high (vote)
: ---
: ---
Assigned To: Joseph Marques
Sudhir D
:
Depends On:
Blocks: jon24-alert-scripts
  Show dependency treegraph
 
Reported: 2010-07-13 15:07 EDT by ktk
Modified: 2010-08-12 12:59 EDT (History)
1 user (show)

See Also:
Fixed In Version: 2.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-12 12:59:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description ktk 2010-07-13 15:07:47 EDT
Description of problem:
The operation on alert notification is giving failure of executing bash script with below error:
Operations   FAILURE   Executed 'Execute' on the ( localhost > myscript) resource
 parameterized argument replacement failed with null.


Version-Release number of selected component (if applicable):
jopr-3.0

How reproducible:
1.Add a script in inventory of OS managed server
2.create a alert on os say 80% cpu utilization and then select notification action set  > Add new resource operation > select specific resource model >pick the added custom script of first step.
3.Then click save.
4.Now generate a load on managed server to genrate a alert then it should call the added custom script.

Actual results:
The bash script should execute without error.

Expected results:
It should execute.

Additional info:
Comment 1 Joseph Marques 2010-07-13 15:28:51 EDT
commit 729deb1e260cd73f7e6bcfcd5d63e1f57ae4a7da
Author: Joseph Marques <joseph@redhat.com>
Date:   Tue Jul 13 15:10:54 2010 -0400

    BZ-614165: do not try to parameter-replace UNSET configuration properties
Comment 2 Sudhir D 2010-07-14 10:19:04 EDT
I have verified this on jon-server-2.4.0.GA_QA.zip build# 62. 

Marking this bug as verified.
Comment 3 Corey Welton 2010-08-12 12:59:26 EDT
Mass-closure of verified bugs against JON.

Note You need to log in before you can comment on or make changes to this bug.